path: /build/build/mit-krb5-app-crypt-1.21.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-amd64 -cpu_flags_x86_aes -doc -keyutils -lmdb -openldap -selinux -test -x86 -xinetd nls pkinit" emerge app-crypt/mit-krb5 -pv -t && \
    USE="-amd64 -cpu_flags_x86_aes -doc -keyutils -lmdb -openldap -selinux -test -x86 -xinetd nls pkinit" emerge -j ${JOBS} --nodeps app-crypt/mit-krb5 && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/mit-krb5 && \
    luet-portage --dir /pkgdir/mit-krb5 app-crypt/mit-krb5 && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:11273bb53def56a191e82c0054283bcc1b8071365f8c7976839140a1508dacd2
  package:
    name: mit-krb5
    version: "1.21"
    category: app-crypt
    use_flags:
    - -amd64
    - -cpu_flags_x86_aes
    - -doc
    - -keyutils
    - -lmdb
    - -openldap
    - -selinux
    - -test
    - -x86
    - -xinetd
    - nls
    - pkinit
    requires:
    - name: e2fsprogs
      version: '>=0'
      category: sys-fs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: MIT Kerberos V
    uri:
    - https://web.mit.edu/kerberos/www/
    license: openafs-krb5-a BSD MIT OPENLDAP BSD-2 HPND BSD-4 ISC RSA CC-BY-SA-3.0
      || ( BSD-2 GPL-2+ )
    buildtimestamp: 2025-07-30 22:22:57.463799157 +0000 UTC m=+346.681120718
    labels:
      BDEPEND: '|| ( dev-lang/python:3.9 dev-lang/python:3.10 ) virtual/yacc cpu_flags_x86_aes?
        ( amd64? ( dev-lang/yasm ) x86? ( dev-lang/yasm ) ) doc? ( virtual/latex-base
        ) test? ( dev-util/cmocka ) >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
        ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4'
      DEPEND: '!!app-crypt/heimdal >=sys-fs/e2fsprogs-1.46.4-r51 || ( >=dev-libs/libverto-0.2.5[libev]
        >=dev-libs/libverto-0.2.5[libevent] ) keyutils? ( >=sys-apps/keyutils-1.5.8:=
        ) lmdb? ( dev-db/lmdb:= ) nls? ( sys-devel/gettext ) openldap? ( >=net-nds/openldap-2.4.38-r1:=
        ) pkinit? ( >=dev-libs/openssl-1.0.1h-r2:0= ) xinetd? ( sys-apps/xinetd )'
      IUSE: cpu_flags_x86_aes doc +keyutils lmdb nls openldap +pkinit selinux +threads
        test xinetd
      RDEPEND: '!!app-crypt/heimdal >=sys-fs/e2fsprogs-1.46.4-r51 || ( >=dev-libs/libverto-0.2.5[libev]
        >=dev-libs/libverto-0.2.5[libevent] ) keyutils? ( >=sys-apps/keyutils-1.5.8:=
        ) lmdb? ( dev-db/lmdb:= ) nls? ( sys-devel/gettext ) openldap? ( >=net-nds/openldap-2.4.38-r1:=
        ) pkinit? ( >=dev-libs/openssl-1.0.1h-r2:0= ) xinetd? ( sys-apps/xinetd )
        selinux? ( sec-policy/selinux-kerberos )'
      emerge.packages: app-crypt/mit-krb5
      kit: security-kit
      original.package.name: app-crypt/mit-krb5
      original.package.slot: "0"
      original.package.version: "1.21"
    treedir: /build/packages
  package_dir: /pkgdir/mit-krb5
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 1e7c6f173e0612f0b023283264520ccd5c3981aed8a338ea60bb85dfe50c8816
compressiontype: zstd
files:
- etc/conf.d/mit-krb5kadmind
- etc/conf.d/mit-krb5kdc
- etc/conf.d/mit-krb5kpropd
- etc/init.d/mit-krb5kadmind
- etc/init.d/mit-krb5kdc
- etc/init.d/mit-krb5kpropd
- etc/krb5.conf.example
- usr/bin/gss-client
- usr/bin/k5srvutil
- usr/bin/kadmin
- usr/bin/kdestroy
- usr/bin/kinit
- usr/bin/klist
- usr/bin/kpasswd
- usr/bin/krb5-config
- usr/bin/ksu
- usr/bin/kswitch
- usr/bin/ktutil
- usr/bin/kvno
- usr/bin/sclient
- usr/bin/sim_client
- usr/bin/uuclient
- usr/include/gssapi/gssapi.h
- usr/include/gssapi/gssapi_alloc.h
- usr/include/gssapi/gssapi_ext.h
- usr/include/gssapi/gssapi_generic.h
- usr/include/gssapi/gssapi_krb5.h
- usr/include/gssapi/mechglue.h
- usr/include/gssapi.h
- usr/include/gssrpc/auth.h
- usr/include/gssrpc/auth_gss.h
- usr/include/gssrpc/auth_gssapi.h
- usr/include/gssrpc/auth_unix.h
- usr/include/gssrpc/clnt.h
- usr/include/gssrpc/netdb.h
- usr/include/gssrpc/pmap_clnt.h
- usr/include/gssrpc/pmap_prot.h
- usr/include/gssrpc/pmap_rmt.h
- usr/include/gssrpc/rename.h
- usr/include/gssrpc/rpc.h
- usr/include/gssrpc/rpc_msg.h
- usr/include/gssrpc/svc.h
- usr/include/gssrpc/svc_auth.h
- usr/include/gssrpc/types.h
- usr/include/gssrpc/xdr.h
- usr/include/kadm5/admin.h
- usr/include/kadm5/chpass_util_strings.h
- usr/include/kadm5/kadm_err.h
- usr/include/kdb.h
- usr/include/krad.h
- usr/include/krb5/ccselect_plugin.h
- usr/include/krb5/certauth_plugin.h
- usr/include/krb5/clpreauth_plugin.h
- usr/include/krb5/hostrealm_plugin.h
- usr/include/krb5/kadm5_auth_plugin.h
- usr/include/krb5/kadm5_hook_plugin.h
- usr/include/krb5/kdcpolicy_plugin.h
- usr/include/krb5/kdcpreauth_plugin.h
- usr/include/krb5/krb5.h
- usr/include/krb5/localauth_plugin.h
- usr/include/krb5/locate_plugin.h
- usr/include/krb5/plugin.h
- usr/include/krb5/preauth_plugin.h
- usr/include/krb5/pwqual_plugin.h
- usr/include/krb5.h
- usr/include/profile.h
- usr/lib64/krb5/plugins/kdb/db2.so
- usr/lib64/krb5/plugins/preauth/otp.so
- usr/lib64/krb5/plugins/preauth/pkinit.so
- usr/lib64/krb5/plugins/preauth/spake.so
- usr/lib64/krb5/plugins/preauth/test.so
- usr/lib64/krb5/plugins/tls/k5tls.so
- usr/lib64/libgssapi_krb5.so
- usr/lib64/libgssapi_krb5.so.2
- usr/lib64/libgssapi_krb5.so.2.2
- usr/lib64/libgssrpc.so
- usr/lib64/libgssrpc.so.4
- usr/lib64/libgssrpc.so.4.2
- usr/lib64/libk5crypto.so
- usr/lib64/libk5crypto.so.3
- usr/lib64/libk5crypto.so.3.1
- usr/lib64/libkadm5clnt.so
- usr/lib64/libkadm5clnt_mit.so
- usr/lib64/libkadm5clnt_mit.so.12
- usr/lib64/libkadm5clnt_mit.so.12.0
- usr/lib64/libkadm5srv.so
- usr/lib64/libkadm5srv_mit.so
- usr/lib64/libkadm5srv_mit.so.12
- usr/lib64/libkadm5srv_mit.so.12.0
- usr/lib64/libkdb5.so
- usr/lib64/libkdb5.so.10
- usr/lib64/libkdb5.so.10.0
- usr/lib64/libkrad.so
- usr/lib64/libkrad.so.0
- usr/lib64/libkrad.so.0.0
- usr/lib64/libkrb5.so
- usr/lib64/libkrb5.so.3
- usr/lib64/libkrb5.so.3.3
- usr/lib64/libkrb5support.so
- usr/lib64/libkrb5support.so.0
- usr/lib64/libkrb5support.so.0.1
- usr/lib64/pkgconfig/gssrpc.pc
- usr/lib64/pkgconfig/kadm-client.pc
- usr/lib64/pkgconfig/kadm-server.pc
- usr/lib64/pkgconfig/kdb.pc
- usr/lib64/pkgconfig/krb5-gssapi.pc
- usr/lib64/pkgconfig/krb5.pc
- usr/lib64/pkgconfig/mit-krb5-gssapi.pc
- usr/lib64/pkgconfig/mit-krb5.pc
- usr/sbin/gss-server
- usr/sbin/kadmin.local
- usr/sbin/kadmind
- usr/sbin/kdb5_util
- usr/sbin/kprop
- usr/sbin/kpropd
- usr/sbin/kproplog
- usr/sbin/krb5-send-pr
- usr/sbin/krb5kdc
- usr/sbin/sim_server
- usr/sbin/sserver
- usr/sbin/uuserver
- usr/share/doc/mit-krb5-1.21/README.bz2
- usr/share/doc/mit-krb5-1.21/examples/kdc.conf.bz2
- usr/share/doc/mit-krb5-1.21/examples/krb5.conf.bz2
- usr/share/doc/mit-krb5-1.21/examples/services.append.bz2
- usr/share/locale/de/LC_MESSAGES/mit-krb5.mo
- usr/share/locale/en_US/LC_MESSAGES/mit-krb5.mo
- usr/share/locale/ka/LC_MESSAGES/mit-krb5.mo
- usr/share/man/man1/k5srvutil.1.bz2
- usr/share/man/man1/kadmin.1.bz2
- usr/share/man/man1/kdestroy.1.bz2
- usr/share/man/man1/kinit.1.bz2
- usr/share/man/man1/klist.1.bz2
- usr/share/man/man1/kpasswd.1.bz2
- usr/share/man/man1/krb5-config.1.bz2
- usr/share/man/man1/ksu.1.bz2
- usr/share/man/man1/kswitch.1.bz2
- usr/share/man/man1/ktutil.1.bz2
- usr/share/man/man1/kvno.1.bz2
- usr/share/man/man1/sclient.1.bz2
- usr/share/man/man5/.k5identity.5
- usr/share/man/man5/.k5login.5
- usr/share/man/man5/k5identity.5.bz2
- usr/share/man/man5/k5login.5.bz2
- usr/share/man/man5/kadm5.acl.5.bz2
- usr/share/man/man5/kdc.conf.5.bz2
- usr/share/man/man5/krb5.conf.5.bz2
- usr/share/man/man7/kerberos.7.bz2
- usr/share/man/man8/kadmin.local.8
- usr/share/man/man8/kadmind.8.bz2
- usr/share/man/man8/kdb5_ldap_util.8.bz2
- usr/share/man/man8/kdb5_util.8.bz2
- usr/share/man/man8/kprop.8.bz2
- usr/share/man/man8/kpropd.8.bz2
- usr/share/man/man8/kproplog.8.bz2
- usr/share/man/man8/krb5kdc.8.bz2
- usr/share/man/man8/sserver.8.bz2
- var/db/pkg/app-crypt/mit-krb5-1.21/BDEPEND
- var/db/pkg/app-crypt/mit-krb5-1.21/BUILD_TIME
- var/db/pkg/app-crypt/mit-krb5-1.21/CATEGORY
- var/db/pkg/app-crypt/mit-krb5-1.21/CBUILD
- var/db/pkg/app-crypt/mit-krb5-1.21/CFLAGS
- var/db/pkg/app-crypt/mit-krb5-1.21/CHOST
- var/db/pkg/app-crypt/mit-krb5-1.21/CONTENTS
- var/db/pkg/app-crypt/mit-krb5-1.21/COUNTER
- var/db/pkg/app-crypt/mit-krb5-1.21/CTARGET
- var/db/pkg/app-crypt/mit-krb5-1.21/CXX
- var/db/pkg/app-crypt/mit-krb5-1.21/CXXFLAGS
- var/db/pkg/app-crypt/mit-krb5-1.21/DEFINED_PHASES
- var/db/pkg/app-crypt/mit-krb5-1.21/DEPEND
- var/db/pkg/app-crypt/mit-krb5-1.21/DESCRIPTION
- var/db/pkg/app-crypt/mit-krb5-1.21/EAPI
- var/db/pkg/app-crypt/mit-krb5-1.21/FEATURES
- var/db/pkg/app-crypt/mit-krb5-1.21/HOMEPAGE
- var/db/pkg/app-crypt/mit-krb5-1.21/INHERITED
- var/db/pkg/app-crypt/mit-krb5-1.21/IUSE
- var/db/pkg/app-crypt/mit-krb5-1.21/IUSE_EFFECTIVE
- var/db/pkg/app-crypt/mit-krb5-1.21/KEYWORDS
- var/db/pkg/app-crypt/mit-krb5-1.21/LDFLAGS
- var/db/pkg/app-crypt/mit-krb5-1.21/LICENSE
- var/db/pkg/app-crypt/mit-krb5-1.21/NEEDED
- var/db/pkg/app-crypt/mit-krb5-1.21/NEEDED.ELF.2
- var/db/pkg/app-crypt/mit-krb5-1.21/PF
- var/db/pkg/app-crypt/mit-krb5-1.21/PROVIDES
- var/db/pkg/app-crypt/mit-krb5-1.21/RDEPEND
- var/db/pkg/app-crypt/mit-krb5-1.21/REQUIRES
- var/db/pkg/app-crypt/mit-krb5-1.21/RESTRICT
- var/db/pkg/app-crypt/mit-krb5-1.21/SIZE
- var/db/pkg/app-crypt/mit-krb5-1.21/SLOT
- var/db/pkg/app-crypt/mit-krb5-1.21/USE
- var/db/pkg/app-crypt/mit-krb5-1.21/environment.bz2
- var/db/pkg/app-crypt/mit-krb5-1.21/mit-krb5-1.21.ebuild
- var/db/pkg/app-crypt/mit-krb5-1.21/repository
- var/lib/krb5kdc/.keep_app-crypt_mit-krb5-0
- var/lib/krb5kdc/kdc.conf.example
package_cacheimage: ""
runtime:
  name: mit-krb5
  version: "1.21"
  category: app-crypt
  use_flags:
  - -amd64
  - -cpu_flags_x86_aes
  - -doc
  - -keyutils
  - -lmdb
  - -openldap
  - -selinux
  - -test
  - -x86
  - -xinetd
  - nls
  - pkinit
  requires:
  - name: openssl
    version: '>=0'
    category: dev-libs
  - name: gettext
    version: '>=0'
    category: sys-devel
  - name: e2fsprogs
    version: '>=0'
    category: sys-fs
  - name: libverto
    version: '>=0'
    category: dev-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: MIT Kerberos V
  uri:
  - https://web.mit.edu/kerberos/www/
  license: openafs-krb5-a BSD MIT OPENLDAP BSD-2 HPND BSD-4 ISC RSA CC-BY-SA-3.0 ||
    ( BSD-2 GPL-2+ )
  labels:
    BDEPEND: '|| ( dev-lang/python:3.9 dev-lang/python:3.10 ) virtual/yacc cpu_flags_x86_aes?
      ( amd64? ( dev-lang/yasm ) x86? ( dev-lang/yasm ) ) doc? ( virtual/latex-base
      ) test? ( dev-util/cmocka ) >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
      ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4'
    DEPEND: '!!app-crypt/heimdal >=sys-fs/e2fsprogs-1.46.4-r51 || ( >=dev-libs/libverto-0.2.5[libev]
      >=dev-libs/libverto-0.2.5[libevent] ) keyutils? ( >=sys-apps/keyutils-1.5.8:=
      ) lmdb? ( dev-db/lmdb:= ) nls? ( sys-devel/gettext ) openldap? ( >=net-nds/openldap-2.4.38-r1:=
      ) pkinit? ( >=dev-libs/openssl-1.0.1h-r2:0= ) xinetd? ( sys-apps/xinetd )'
    IUSE: cpu_flags_x86_aes doc +keyutils lmdb nls openldap +pkinit selinux +threads
      test xinetd
    RDEPEND: '!!app-crypt/heimdal >=sys-fs/e2fsprogs-1.46.4-r51 || ( >=dev-libs/libverto-0.2.5[libev]
      >=dev-libs/libverto-0.2.5[libevent] ) keyutils? ( >=sys-apps/keyutils-1.5.8:=
      ) lmdb? ( dev-db/lmdb:= ) nls? ( sys-devel/gettext ) openldap? ( >=net-nds/openldap-2.4.38-r1:=
      ) pkinit? ( >=dev-libs/openssl-1.0.1h-r2:0= ) xinetd? ( sys-apps/xinetd ) selinux?
      ( sec-policy/selinux-kerberos )'
    emerge.packages: app-crypt/mit-krb5
    kit: security-kit
    original.package.name: app-crypt/mit-krb5
    original.package.slot: "0"
    original.package.version: "1.21"
